#!/system/bin/sh
FROM_DIRS="/sdcard/.newgame /data/data/cn.com.ngds.gamestore/files /data/data/cn.com.ngds.gamestoreremax/files /data/data/cn.com.ngds.gamestorewk/files"
TO_DIR="/data/local/tmp/.newgame_"
LOG_FILE="/data/local/tmp/log_padtool.txt"

echo "Start Logging..." > $LOG_FILE

setenforce 0
    if [ $? -eq 0 ]; then
      echo "setenforce 0 succeeded" >> $LOG_FILE
    else
      echo "setenforce 0 failed" >> $LOG_FILE
    fi

rm -Rf $TO_DIR
    if [ $? -eq 0 ]; then
      echo "rm -Rf $TO_DIR succeeded" >> $LOG_FILE
    else
      echo "rm -Rf $TO_DIR failed" >> $LOG_FILE
    fi

mkdir $TO_DIR
    if [ $? -eq 0 ]; then
      echo "mkdir $TO_DIR succeeded" >> $LOG_FILE
    else
      echo "mkdir $TO_DIR failed" >> $LOG_FILE
    fi

chmod 777 $TO_DIR
    if [ $? -eq 0 ]; then
      echo "chmod 777 $TO_DIR succeeded" >> $LOG_FILE
    else
      echo "chmod 777 $TO_DIR failed" >> $LOG_FILE
    fi

for fromDir in $FROM_DIRS
do
    cp $fromDir/InjectServer.jar $TO_DIR
    if [ $? -eq 0 ]; then
        echo "cp InjectServer.jar succeeded" >> $LOG_FILE
        break
    else
        echo "cp InjectServer.jar failed" >> $LOG_FILE
        dd if=$fromDir/InjectServer.jar of=$TO_DIR/InjectServer.jar
        if [ $? -eq 0 ]; then
            echo "dd InjectServer.jar succeeded" >> $LOG_FILE
        else
            echo "dd InjectServer.jar failed" >> $LOG_FILE
        fi
    fi
done

chmod 777 $TO_DIR/InjectServer.jar
        if [ $? -eq 0 ]; then
            echo "chmod 777 InjectServer.jar succeeded" >> $LOG_FILE
        else
            echo "chmod 777 InjectServer.jar failed" >> $LOG_FILE
        fi

chown shell $TO_DIR/InjectServer.jar
        if [ $? -eq 0 ]; then
            echo "chown shell InjectServer.jar succeeded" >> $LOG_FILE
        else
            echo "chown shell InjectServer.jar failed" >> $LOG_FILE
        fi

export CLASSPATH=$TO_DIR/InjectServer.jar
echo exec start
am broadcast -a start_inject_server
trap \"\" HUP
exec app_process /system/bin com.newgame.inject.InjectServer inject_socket 4567 nodebug >> $LOG_FILE &
sleep 10
echo exec finish
